[vdr] [ANNOUNCE] VDR developer version 1.5.14

Igor goga777 at bk.ru
Mon Jan 28 21:43:08 CET 2008


> >> *sigh* messing with kernel stuff sucks. Does a vdr built with the
> >> multiproto headers at least also work on vanilla kernels ie stable
> >> dvb drivers? That way one would only need to use different headers
> >> for building vdr but no extra kernel modules at run time.

so, what do you mean - "updated multiproto headers" - are the version.h and frontend.h ? only this two files Manu have 
changed in multiproto.

Igor

> > AFAICT, the updated headers can be used along with the old drivers without
> > any issues. If not there's an issue with regards to backward compatibility.
> > Can you pleas point out the errors that which you see, when you are using
> > the updated headers and the old drivers ?
> 
> The new headers work fine with the old driver - if the application
> still uses the old API. I've tested that first thing before I switched
> to the new API.
> 
> However, I don't see how an application actually using the new API
> could work with the old driver.
> 
> At any rate, the patch from Ulrich Richter should work for people
> insisting to use the old driver.
> 
> 



More information about the vdr mailing list